//##############################################################################
//	filename:		WW0708_main.c
//			
// 	Implements the ????
//
//##############################################################################
//
//  	Author:			
//  	Company:			HS Ulm
//
//		Revision:			x.x
//		Date:				Dez. 2007
//		Assembled using		MPLAB 8.00 C18 3.14
//
//		who?	01.12.2007 	start the project
//		who?	
//
//
//		todo	-
//				- 
//				- 
//				- 
//
//##############################################################################


#define Debug_P1	PORTBbits.RB4
#define Debug_T1	TRISBbits.TRISB4


/** I N C L U D E S ***********************************************************/
#include <p18f2620.h>
#include "LCD12864.h"


#pragma config OSC = INTIO67						// Configurationen
#pragma config FCMEN = OFF
#pragma config IESO = OFF
#pragma config PWRT = OFF
#pragma config BOREN = OFF
#pragma config BORV = 0
#pragma config WDT = OFF
#pragma config WDTPS = 1
#pragma config MCLRE = ON
#pragma config LPT1OSC = OFF
#pragma config PBADEN = OFF
#pragma config STVREN = OFF
#pragma config LVP = OFF
#pragma config XINST = OFF
#pragma config DEBUG = ON
#pragma config CP0 = OFF
#pragma config CP1 = OFF
#pragma config CP2 = OFF
#pragma config CP3 = OFF
#pragma config CPB = OFF
#pragma config CPD = OFF
#pragma config WRT0 = OFF
#pragma config WRT1 = OFF
#pragma config WRTB = OFF
#pragma config WRTC = OFF
#pragma config WRTD = OFF
#pragma config EBTR0 = OFF
#pragma config EBTR1 = OFF
#pragma config EBTR2 = OFF
#pragma config EBTR3 = OFF
#pragma config EBTRB = OFF





/** V A R I A B L E S *********************************************************/
#pragma udata

/** P R I V A T E  P R O T O T Y P E S ****************************************/
static void InitializeSystem(void);


/** V E C T O R  R E M A P P I N G ********************************************/

extern void _startup (void);        // See c018i.c in your C18 compiler dir
//#pragma code _RESET_INTERRUPT_VECTOR = 0x000800
//void _reset (void)
//{
//    _asm goto _startup _endasm
//}
//#pragma code

/** D E C L A R A T I O N S ***************************************************/
#pragma code
/*******************************************************************************
 * Function:        void main(void)
 *
 * PreCondition:    None
 *
 * Input:           None
 *
 * Output:          None
 *
 * Side Effects:    None
 *
 * Overview:        Main program entry point.
 *
 * Note:            None
 *****************************************************************************/
void main(void)
{
 	InitializeSystem();			//Sprung in Initialisierungsfunktion
    
    while(1)
    {
		Debug_P1 = 1;
		Debug_P1 = 0;
    }//end while
}//end main

/******************************************************************************
 * Function:        static void InitializeSystem(void)
 *
 * PreCondition:    None
 *
 * Input:           None
 *
 * Output:          None
 *
 * Side Effects:    None
 *
 * Overview:        InitializeSystem is a centralize initialization routine.
 *                  All required USB initialization routines are called from
 *                  here.
 *
 *                  User application initialization routine should also be
 *                  called from here.                  
 *
 * Note:            None
 *****************************************************************************/

//Initialisation sample for ST7565


void InitializeSystem(void)     
{     
  /* Initialisation PIC18F2620 */

	OSCCON 	= '0b01110000';	//IDLEN IRCF2 IRCF1 IRCF0 OSTS IOFS SCS1 SCS0
	OSCTUNE = '0b11000000';	//INTSRC PLLEN  TUN4 TUN3 TUN2 TUN1 TUN0

	TRISA = '0b00111111';
	LATA = 0xC0;
	TRISB = '0b11000000';
	LATB = 0x3F;

	TRISC = 0x00;			// databus
  /* Initialisation End PIC18F2620 */

	Debug_T1 = 0;	// set debugpin #one to output
	Debug_P1 = 0;


	lcd_init();
  
}









		
  	
